Modify

Opened 2 months ago

Closed 2 months ago

#15406 closed defect (fixed)

Illegal reflective access in geotools

Reported by: naoliv Owned by: naoliv
Priority: normal Milestone: 17.10
Component: Core Version:
Keywords: java9 Cc:

Description

I was testing a preset only when I saw this in the console:

2017-10-05 23:55:57.660 INFO: Disposing class org.geotools.referencing.factory.epsg.ThreadedHsqlEpsgFactory backing store
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.hsqldb.persist.RAFileNIO (file:/home/naoliv/.josm/plugins/geotools.jar) to method java.nio.DirectByteBuffer.cleaner()
WARNING: Please consider reporting this to the maintainers of org.hsqldb.persist.RAFileNIO
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

JOSM:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-10-05 12:04:41 +0200 (Thu, 05 Oct 2017)
Revision:12926
Build-Date:2017-10-06 01:33:18
URL:http://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (12926 en) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 663 MB / 3072 MB (358 MB allocated, but free)
Java version: 9-Debian+0-9b181-4, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1920x1080
Maximum Screen Size: 1920x1080
Java package: openjdk-9-jre:amd64-9~b181-4
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-13
VM arguments: [--add-modules=java.se.ee, -Dawt.useSystemAAFontSettings=on]
Program arguments: [--language=en]
Dataset consistency test: No problems found

Plugins:
+ AddrInterpolation (33692)
+ CADTools (1007)
+ Create_grid_of_ways (32699)
+ FastDraw (33583)
+ FixAddresses (33182)
+ ImportImagePlugin (33563)
+ OpeningHoursEditor (33185)
+ PicLayer (33385)
+ SimplifyArea (33004)
+ apache-commons (33668)
+ buildings_tools (33004)
+ download_along (32946)
+ editgpx (33004)
+ ejml (32680)
+ geojson (55)
+ geotools (33380)
+ graphview (33004)
+ jogl (1.1.0)
+ jts (32699)
+ kendzi3d (1.0.198)
+ kendzi3d-resources (0.0.1)
+ log4j (32699)
+ measurement (33088)
+ merge-overlap (33436)
+ opendata (33617)
+ pdfimport (33579)
+ photo_geotagging (33494)
+ poly (33570)
+ reverter (33572)
+ rex (31)
+ tageditor (33579)
+ tagging-preset-tester (33004)
+ todo (30302)
+ turnlanes-tagging (254)
+ turnrestrictions (33537)
+ undelete (33480)
+ utilsplugin2 (33704)

Attachments (0)

Change History (9)

comment:1 Changed 2 months ago by Don-vip

what where you doing? Opening a shapefile?

comment:2 Changed 2 months ago by Don-vip

Could you please run JOSM with --illegal-access=deny option? You should get a crash/bug report.

comment:3 Changed 2 months ago by Don-vip

Component: Plugin geotoolsCore
Keywords: java9 added
Milestone: 17.10
Owner: changed from Don-vip to team

comment:4 Changed 2 months ago by Don-vip

Resolution: fixed
Status: newclosed

In 12932/josm:

fix #15406 - add more java9 options for geotools plugin

comment:5 Changed 2 months ago by naoliv

Resolution: fixed
Status: closedreopened

Sorry for the delayed answer.
I am seeing a new message:

WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.geotools.resources.NIOUtilities (file:/home/naoliv/.josm/plugins/geotools.jar) to method java.nio.DirectByteBuffer.cleaner()
WARNING: Please consider reporting this to the maintainers of org.geotools.resources.NIOUtilities
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

But it's strange that I can't see anything when using --illegal-access=deny
With --illegal-access=warn I see:

WARNING: Illegal reflective access by org.geotools.resources.NIOUtilities (file:/home/naoliv/.josm/plugins/geotools.jar) to method java.nio.DirectByteBuffer.cleaner()
WARNING: Illegal reflective access by org.geotools.resources.NIOUtilities (file:/home/naoliv/.josm/plugins/geotools.jar) to method java.nio.DirectByteBuffer.cleaner()

This time I am opening 2 shapefiles.

comment:6 Changed 2 months ago by Don-vip

How do you run JOSM? You shouldn't see this warning.

comment:7 Changed 2 months ago by Don-vip

Owner: changed from team to naoliv
Status: reopenedneedinfo

comment:8 Changed 2 months ago by naoliv

Running it with:

export _JAVA_OPTIONS="-Dawt.useSystemAAFontSettings=on -Xms256M -Xmx3g"
java --illegal-access=warn --add-modules java.se.ee -jar /home/naoliv/josm-jar/josm-latest.jar "$@"

comment:9 Changed 2 months ago by Don-vip

Resolution: fixed
Status: needinfoclosed

OK I forgot something on server, this should be fixed in next latest.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain naoliv.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.